Bug 146736 - [PATCH] net/tintin++: update to 2.00.1
Summary: [PATCH] net/tintin++: update to 2.00.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-19 17:00 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2010-08-24 05:10 UTC (History)
1 user (show)

See Also:


Attachments
tintin-2.00.1.patch (14.37 KB, patch)
2010-05-19 17:00 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff
file.diff (466 bytes, patch)
2010-05-19 17:00 UTC, Sunpoet Po-Chuan Hsieh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh 2010-05-19 17:00:15 UTC
Regarding TinTin++, we have net/tintin++ (1.5pl9) and net/tintin++-devel (2.00.1).
The former is maintained by jhp@cocoja.holywar.net.
The latter is maintained by me.

The version update is based on the following reasons:
1. The latest version (2.00.1) is no longer a *devel* version. It's stable already.
2. The outdated version (1.5pl9) was unmaintained and unfetchable by upstream.
   Latest version update was done almost 10 years ago.

I would like to request as follows:
1. Update net/tintin++ to the latest version (mainly from net/tintin++-devel with minor fixes)
2. Retire net/tintin++-devel
3. Rectify PORTNAME

Also, since the maintainer of net/tintin++ is unreachable (mail rejected),
I would like to take maintainership of new net/tintin++.

- Sunpoet


Changes in brief:
- Update net/tintin++ to 2.00.1
- Retire net/tintin++-devel
- Reset maintainer and take maintainership (if possible)

Affected ports:
- chinese/tintin++
- net/tintin++
- net/tintin++-devel (dead)

Added file(s):
- files/patch-configure

Removed file(s):
- files/patch-ac
- files/patch-ad
- files/patch-ae
- files/patch-af
- files/patch-ag
- files/patch-ah
- files/patch-antisub.c
- files/patch-term.c
- pkg-plist

Port maintainer (jhp@cocoja.holywar.net) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-05-19 17:00:24 UTC
Maintainer of net/tintin++,

Please note that PR ports/146736 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/146736

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-05-19 17:00:28 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Li-Wen Hsu freebsd_committer 2010-05-20 00:17:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 4 dfilter service freebsd_committer 2010-08-24 04:07:58 UTC
lwhsu       2010-08-24 03:07:49 UTC

  FreeBSD ports repository

  Modified files:
    net/tintin++         Makefile distinfo pkg-descr 
  Added files:
    net/tintin++/files   patch-configure 
  Removed files:
    net/tintin++         pkg-plist 
    net/tintin++/files   patch-ac patch-ad patch-ae patch-af 
                         patch-ag patch-ah patch-antisub.c 
                         patch-term.c 
  Log:
  - Update to 2.00.1 (mainly from net/tintin++-devel with minor fixes)
  - Pass maintainership to submitter, the former maintainer has no response over
    3 months
  
  PR:             ports/146736
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet AT sunpoet.net>
  Approved by:    maintainer timeout (3 months)
  
  Revision  Changes    Path
  1.25      +32 -9     ports/net/tintin++/Makefile
  1.7       +3 -3      ports/net/tintin++/distinfo
  1.3       +0 -40     ports/net/tintin++/files/patch-ac (dead)
  1.4       +0 -53     ports/net/tintin++/files/patch-ad (dead)
  1.2       +0 -25     ports/net/tintin++/files/patch-ae (dead)
  1.2       +0 -20     ports/net/tintin++/files/patch-af (dead)
  1.2       +0 -15     ports/net/tintin++/files/patch-ag (dead)
  1.2       +0 -17     ports/net/tintin++/files/patch-ah (dead)
  1.2       +0 -15     ports/net/tintin++/files/patch-antisub.c (dead)
  1.1       +18 -0     ports/net/tintin++/files/patch-configure (new)
  1.2       +0 -79     ports/net/tintin++/files/patch-term.c (dead)
  1.6       +8 -7      ports/net/tintin++/pkg-descr
  1.6       +0 -3      ports/net/tintin++/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2010-08-24 04:11:08 UTC
lwhsu       2010-08-24 03:10:56 UTC

  FreeBSD ports repository

  Modified files:
    chinese/tintin++     Makefile 
  Log:
  - Change master port to net/tintin++
  
  PR:             ports/146736
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet AT sunpoet.net> (maintainer)
  
  Revision  Changes    Path
  1.10      +1 -1      ports/chinese/tintin++/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-08-24 04:37:22 UTC
lwhsu       2010-08-24 03:37:13 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Removed files:
    net/tintin++         Makefile distinfo pkg-descr 
    net/tintin++/files   patch-configure 
  Log:
  - Retire net/tintin++-devel
  
  PR:             ports/146736
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet AT sunpoet.net> (maintainer)
  
  Revision  Changes    Path
  1.2245    +0 -1      ports/net/Makefile
  1.26      +0 -44     ports/net/tintin++/Makefile (dead)
  1.8       +0 -3      ports/net/tintin++/distinfo (dead)
  1.2       +0 -18     ports/net/tintin++/files/patch-configure (dead)
  1.7       +0 -9      ports/net/tintin++/pkg-descr (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Li-Wen Hsu freebsd_committer 2010-08-24 04:37:42 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2010-08-24 05:01:18 UTC
lwhsu       2010-08-24 04:01:02 UTC

  FreeBSD ports repository

  Removed files:
    net/tintin++-devel   Makefile distinfo pkg-descr 
    net/tintin++-devel/files patch-configure 
  Log:
  - Retire net/tintin++-devel
  
  PR:             ports/146736
  Submitted by:   Sunpoet Po-Chuan Hsieh <sunpoet AT sunpoet.net> (maintainer)
  
  Revision  Changes    Path
  1.56      +0 -49     ports/net/tintin++-devel/Makefile (dead)
  1.36      +0 -3      ports/net/tintin++-devel/distinfo (dead)
  1.2       +0 -18     ports/net/tintin++-devel/files/patch-configure (dead)
  1.6       +0 -9      ports/net/tintin++-devel/pkg-descr (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"